PHP頁面出現Incompatible file format的解決方法

造成該問題的原因是Zend Guard 5.1更新了加密PHP文件的算法來迎合PHP5.3新版本支持,用Zend Guard老版本加密過的PHP文件在 PHP5.3 + Zend Guard Loader的環境下都無法正常瀏覽,會報出文章開頭的錯誤。

解決方法:
可以把PHP程序源文件在Zend Guard 5.1下重新加密,然後才能瀏覽。本處因為拿到的就是加密商業代碼,故放棄這一招。
也可以把程序放到PHP5.2 + Zend Optimizer的環境下運行即可。本處選擇它來運行這套加密程序。

Related Posts Plugin for WordPress, Blogger...